Subject: bug#72830: Big rectangular selections are slow

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Sep 2024 11:26:32 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 20 Sep 2024 19:07:29 -0700
> Cc: Michael Heerdegen <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked], 
> 	Juri Linkov <[email-masked]>
> 
> Mattias Engdegård <[email-masked]> writes:
> 
> > - `select-active-regions`: as mentioned, it slows down rectangle
> > selection massively and is alien to non-X11 platforms so I'd suggest
> > it be set to nil by default on macOS and Windows at least. Not sure
> > what to do on TTY frames.
> 
> I see no problem with making this change on macOS.  I have no idea about
> anything related to MS-Windows, so I can't comment on that.

I can test on MS-Windows if someone tells what to try and what to pay
attention to.